Organization
Users and User Groups
Permissions
Data Source
Workspaces
Logical Data Model
Analytical Objects
    Analytics Model
    Metrics
    Computed Attributes
      Get all Computed AttributesgetPost Computed AttributespostThe search endpoint (beta)postGet a Computed AttributegetPut a Computed AttributeputDelete a Computed AttributedeletePatch a Computed Attributepatch
    Dashboards
    Filter Context
    Filter Views
    Visualization Object
    Parameters
    Dependency Graph
    Attribute Hierarchies
Reporting
Export & Automations
AI Lake
AI Assistant
Agents
Other
Schemas
powered by Zudoku
OpenAPI definition

Computed Attributes

Endpoint:/

Get all Computed Attributes

GET
/api/v1/entities/workspaces/{workspaceId}/computedAttributes

Get all Computed Attributes › path Parameters

  • workspaceIdstring · required

Get all Computed Attributes › query Parameters

  • originstring · enum

    Defines scope of origin of objects. All by default.

    Enum values:
    ALL
    PARENTS
    NATIVE
    Default: ALL
  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    facts
    attributes
    labels
    computedAttributes
    metrics
    datasets
    parameters
  • pageinteger

    Zero-based page index (0..N)

    Default: 0
  • sizeinteger

    The size of the page to be returned

    Default: 20
  • sortstring[]

    Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    origin
    page
    all
    ALL

Get all Computed Attributes › Headers

  • X-GDC-VALIDATE-RELATIONSboolean
    Default: false

Get all Computed Attributes › Responses

Request successfully processed

  • dataobject[] · unique · required
  • includedarray · unique

    Included resources

  • linksobject
  • metaobject
GET /api/v1/entities/workspaces/{workspaceId}/computedAttributes

Post Computed Attributes

POST
/api/v1/entities/workspaces/{workspaceId}/computedAttributes

Post Computed Attributes › path Parameters

  • workspaceIdstring · required

Post Computed Attributes › query Parameters

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    facts
    attributes
    labels
    computedAttributes
    metrics
    datasets
    parameters
  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    origin
    all
    ALL

Post Computed Attributes › Request Body

  • dataobject · required

    JSON:API representation of computedAttribute entity.

Post Computed Attributes › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of computedAttribute entity.

  • includedarray · unique

    Included resources

  • linksobject
POST /api/v1/entities/workspaces/{workspaceId}/computedAttributes

The search endpoint (beta)

POST
/api/v1/entities/workspaces/{workspaceId}/computedAttributes/search

The search endpoint (beta) › path Parameters

  • workspaceIdstring · required

The search endpoint (beta) › query Parameters

  • originstring · enum

    Defines scope of origin of objects. All by default.

    Enum values:
    ALL
    PARENTS
    NATIVE
    Default: ALL

The search endpoint (beta) › Headers

  • X-GDC-VALIDATE-RELATIONSboolean
    Default: false

The search endpoint (beta) › Request Body

  • filterstring | null

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includearray | null

    List of related entities to include in the response

  • metaIncludearray | null · unique

    Set of metadata fields to include in the response

  • pageobject

    Pagination information for entity search

  • sortarray | null

    Sorting criteria (can specify multiple sort orders)

The search endpoint (beta) › Responses

Request successfully processed

  • dataobject[] · unique · required
  • includedarray · unique

    Included resources

  • linksobject
  • metaobject
POST /api/v1/entities/workspaces/{workspaceId}/computedAttributes/search

Get a Computed Attribute

GET
/api/v1/entities/workspaces/{workspaceId}/computedAttributes/{objectId}

Get a Computed Attribute › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Get a Computed Attribute › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    facts
    attributes
    labels
    computedAttributes
    metrics
    datasets
    parameters
  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    origin
    all
    ALL

Get a Computed Attribute › Headers

  • X-GDC-VALIDATE-RELATIONSboolean
    Default: false

Get a Computed Attribute › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of computedAttribute entity.

  • includedarray · unique

    Included resources

  • linksobject
GET /api/v1/entities/workspaces/{workspaceId}/computedAttributes/{objectId}

Put a Computed Attribute

PUT
/api/v1/entities/workspaces/{workspaceId}/computedAttributes/{objectId}

Put a Computed Attribute › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Put a Computed Attribute › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    facts
    attributes
    labels
    computedAttributes
    metrics
    datasets
    parameters

Put a Computed Attribute › Request Body

  • dataobject · required

    JSON:API representation of computedAttribute entity.

Put a Computed Attribute › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of computedAttribute entity.

  • includedarray · unique

    Included resources

  • linksobject
PUT /api/v1/entities/workspaces/{workspaceId}/computedAttributes/{objectId}

Delete a Computed Attribute

DELETE
/api/v1/entities/workspaces/{workspaceId}/computedAttributes/{objectId}

Delete a Computed Attribute › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Delete a Computed Attribute › Responses

Successfully deleted

No data returned
DELETE /api/v1/entities/workspaces/{workspaceId}/computedAttributes/{objectId}

Patch a Computed Attribute

PATCH
/api/v1/entities/workspaces/{workspaceId}/computedAttributes/{objectId}

Patch a Computed Attribute › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Patch a Computed Attribute › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    facts
    attributes
    labels
    computedAttributes
    metrics
    datasets
    parameters

Patch a Computed Attribute › Request Body

  • dataobject · required

    JSON:API representation of patching computedAttribute entity.

Patch a Computed Attribute › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of computedAttribute entity.

  • includedarray · unique

    Included resources

  • linksobject
PATCH /api/v1/entities/workspaces/{workspaceId}/computedAttributes/{objectId}

MetricsDashboards